diff artifacts/contrib/flush_cache.sh @ 5838:5aa05a7a34b7

Rename modules to more fitting names.
author Sascha L. Teichmann <teichmann@intevation.de>
date Thu, 25 Apr 2013 15:23:37 +0200
parents flys-artifacts/contrib/flush_cache.sh@9245ef9e349b
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/artifacts/contrib/flush_cache.sh	Thu Apr 25 15:23:37 2013 +0200
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ $# != 2 ]; then
+    echo "usage $0 <artifact-server-port> <cachename>"
+    echo "    cachename is the name of the cache defined in conf/caches.xml"
+    echo "    for example: $0 12123 datacage.db"
+    exit 1
+fi
+
+curl -d @- http://localhost:$1/service/cache-invalidation << EOF 
+<?xml version="1.0" ?>
+<caches>
+  <cache name="$2"/>
+</caches>
+EOF

http://dive4elements.wald.intevation.org